import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
import { symbol } from 'ds';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;
const centerxArc = width/2;
const centeryArc = height-60;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI * 7/4)
  .endAngle(Math.PI * 9/4);

const starteyes = symbol()
	.type(eyetype)
	.size(eyeSize);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />}
   />
      <circle
        cx={-eyeOffsetX}
    cy={-eyeOffsetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOff<g>setX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      />
    </g>
    <g transform={`translate(${centerxArc},${centeryArc})`}>
      <path 
        d={mouthArc()}
        />
    </g>
    <g>
    <line 
      x1="380"
      y1="200" 
      x2="380" 
      y2="450"  
      stroke = 'blue'
      stroke-width = "30"/>
    <line 
      x1="580"
      y1="200" 
      x2="580" 
      y2="450" 
      stroke = 'blue'
      stroke-width = "30"/>
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);